/**
 * Project Name:tuia-youtui-web<br>
 * File Name:BlockDto.java<br>
 * Package Name:com.duiba.tuia.youtui.web.model<br>
 * Date:2017年4月14日下午2:40:06<br>
 * Copyright (c) 2017, duiba.com.cn All Rights Reserved.<br>
 */

package com.duiba.tuia.youtui.web.model;

import org.apache.commons.lang.builder.ToStringBuilder;

import java.io.Serializable;

/**
 * ClassName: 广告推荐位区块dto <br/>
 * date: 2017年4月14日 下午2:40:06 <br/>
 *
 * @author youhaijun
 * @version
 * @since JDK 1.7
 */
public class AdBlockDto implements Serializable {

    /**
     * @since JDK 1.6
     */
    private static final long serialVersionUID = -8836338457114101932L;


    private String            title;

    private String            bannerUrl;

    private String            click;

    private String            exposure;

    private String            openUrl;

    private String            iosDownloadUrl;

    private String            androidDownloadUrl;

    private String            confirm;

    private String            actUrl;

    private Long advertId;

    public Long getAdvertId() {
        return advertId;
    }

    public void setAdvertId(Long advertId) {
        this.advertId = advertId;
    }

    public String getActUrl() {
        return actUrl;
    }

    public void setActUrl(String actUrl) {
        this.actUrl = actUrl;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getBannerUrl() {
        return bannerUrl;
    }

    public void setBannerUrl(String bannerUrl) {
        this.bannerUrl = bannerUrl;
    }

    public String getClick() {
        return click;
    }

    public void setClick(String click) {
        this.click = click;
    }

    public String getExposure() {
        return exposure;
    }

    public void setExposure(String exposure) {
        this.exposure = exposure;
    }

    public String getOpenUrl() {
        return openUrl;
    }

    public void setOpenUrl(String openUrl) {
        this.openUrl = openUrl;
    }

    public String getIosDownloadUrl() {
        return iosDownloadUrl;
    }

    public void setIosDownloadUrl(String iosDownloadUrl) {
        this.iosDownloadUrl = iosDownloadUrl;
    }

    public String getAndroidDownloadUrl() {
        return androidDownloadUrl;
    }

    public void setAndroidDownloadUrl(String androidDownloadUrl) {
        this.androidDownloadUrl = androidDownloadUrl;
    }

    public String getConfirm() {
        return confirm;
    }

    public void setConfirm(String confirm) {
        this.confirm = confirm;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

}
